import { LyricsData } from "@discord-player/extractor";
import { Client } from "genius-lyrics";

type LyricsClient = {
  search: (query: string) => Promise<LyricsData | null>;
  client: Client;
};

export {};

declare module "discord-player" {
  export interface Player {
    /** Lyrics client */
    lyrics: LyricsClient;
  }
}
